@charset "UTF-8";
/******************
アニメーションcss
******************/
.action {
  opacity: 0;
  transition: 1.2s all;
}
.action.delay-01 {
  transition-delay: 0s;
}
.action.delay-02 {
  transition-delay: 0.3s;
}
.action.delay-03 {
  transition-delay: 0.6s;
}
.action.delay-04 {
  transition-delay: 0.9s;
}
.action.fadeup {
  transform: translateY(60px);
}
.action.animation {
  opacity: 1;
  transform: none;
}

/* ループテキスト */
@keyframes infinity-scroll-left {
  from {
    transform: translateX(0);
  }
  to {
    transform: translateX(-50%);
  }
}
/* スクロールをしたら出現する要素にはじめに透過0を指定　*/
.popupTrigger,
.fadeupTrigger,
.fadeinTrigger {
  opacity: 0;
}

.popup {
  animation: popup 0.6s cubic-bezier(0.22, 1, 0.36, 1) forwards;
}

@keyframes popup {
  0% {
    transform: translateY(40px) scale(0.8);
    opacity: 0;
  }
  100% {
    transform: translateY(0) scale(1);
  }
  80%, 100% {
    opacity: 1;
  }
}
.fadeUp {
  animation-name: fadeUpAnime;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
  opacity: 0;
}

@keyframes fadeUpAnime {
  from {
    opacity: 0;
    transform: translateY(100px);
  }
  to {
    opacity: 1;
    transform: translateY(0);
  }
}
.fadeIn {
  animation-name: fadeIntAnime;
  animation-duration: 0.5s;
  animation-fill-mode: forwards;
  opacity: 0;
}

@keyframes fadeInAnime {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}
.blur {
  animation-name: blurAnime;
  animation-duration: 1s;
  animation-fill-mode: forwards;
}

@keyframes blurAnime {
  from {
    filter: blur(10px);
    transform: scale(1.02);
    opacity: 0;
  }
  to {
    filter: blur(0);
    transform: scale(1);
    opacity: 1;
  }
}
.blurTrigger {
  opacity: 0;
}

.delay03 {
  animation-delay: 0.3s;
}

.delay06 {
  animation-delay: 0.6s;
}

@keyframes fadeToBlue {
  from {
    background-color: transparent;
  }
  to {
    background-color: #142f45;
  }
}